#!/bin/bash
echo 'startup ver 2.0.2'
if [ "$USERNAME" != "root" ]
   then
   echo
   echo "Error: You must be root to run this script, type: sudo ./install.sh"
   echo
   exit 1
fi

echo 
echo
echo "-----------------------------------------"
echo "Welcome to the SignagePlayer installation"
echo "-----------------------------------------"

############################################################
#
# Direcroty setup
#
############################################################

if [ ! -d /opt/SignagePlayer/share/linux/ ] 
   then
    echo
    echo "Error: SignagePlayer default directory does not exist: /opt/SignagePlayer"
    echo "Make sure you re-install the SignagePlayer to the default directoty & try again..."
    echo ""
    exit 1
fi
  

chmod 777 -R /opt/SignagePlayer

############################################################
#
# Add none prompting for sudo
#
############################################################

echo ""
read -p "Remove password prompting for sudo root?<Y|n>:"
if [ "$REPLY" == "y" ] || [ "$REPLY" == "Y" ] || [ "$REPLY" == "" ]
then   
   echo ""
   read -p "Enter the user name which you use to automatically login to this computer?:"
	
   if [ "$REPLY" == "" ]
   then
      echo ""
      echo "Error: no user entered so exiting"
      exit 1
   else 
      logUser=$REPLY
   fi

   if grep -q "${REPLY}:" /etc/passwd 
   then

      if ! grep -q "root ALL=(ALL) ALL" /etc/sudoers
      then
	echo "root ALL=(ALL) ALL" >> /etc/sudoers
      fi
      if ! grep -q "$logUser ALL=(ALL) ALL" /etc/sudoers
      then
	echo "$logUser ALL=(ALL) ALL" >> /etc/sudoers
      fi

      if ! grep -q "root ALL=NOPASSWD: ALL" /etc/sudoers
      then
	echo "root ALL=NOPASSWD: ALL" >> /etc/sudoers
      fi
      if ! grep -q "$logUser ALL=NOPASSWD: ALL" /etc/sudoers
      then
	echo "$logUser ALL=NOPASSWD: ALL" >> /etc/sudoers
      fi

   else 
      echo
      echo "Error: Did not find user name \"$REPLY\" so exiting"
      echo
      exit 1
   fi

else

   echo
   echo "Sorry, SignagePlayer will not work without sudo prompt removal so exiting"
   echo
   exit 1
fi 


############################################################
#
# Add auto starup of SignagePlayer
#
############################################################

echo ""
read -p "Would you like to auto start SignagePlayer upon boot up?<Y|n>:"

if [ "$REPLY" == "y" ] || [ "$REPLY" == "Y" ] || [ "$REPLY" == "" ]
   then

	   if [ ! -d /home/$logUser/.config ] 
	   then
	      mkdir /home/$logUser/.config
	      chmod 777 /home/$logUser/.config
	   fi

	   if [ ! -d /home/$logUser/.config/autostart ] 
	   then
	      mkdir /home/$logUser/.config/autostart
	      chmod 777 /home/$logUser/.config
	   fi
   cp gnomeStartup.sh.desktop.original gnomeStartup.sh.desktop
   sed -i s/user/$logUser/g gnomeStartup.sh.desktop
   cp -R /opt/SignagePlayer/share/linux/gnomeStartup.sh /home/$logUser
   cp -R /opt/SignagePlayer/share/linux/gnomeStartup.sh.desktop /home/$logUser/.config/autostart/
fi


############################################################
#
# Remove gnome panel
#
############################################################

echo
if [ -e /usr/bin/gnome-panel ] 
then
   read -p "Would you like to remove the Gnome Panel?<Y|n>:"

   if [ "$REPLY" == "y" ] || [ "$REPLY" == "Y" ] || [ "$REPLY" == "" ]
   then
      echo
      echo "renaming: /usr/bin/gnome-panel > /usr/bin/gnome-panel.old"
      echo
      mv /usr/bin/gnome-panel /usr/bin/gnome-panel.old
   fi

fi

############################################################
#
# Reboot
#
############################################################

read -p "Would you like to reboot this PC so you can test the changes?<Y|n>:"
if [ "$REPLY" == "y" ] || [ "$REPLY" == "Y" ] || [ "$REPLY" == "" ]
then

   LIMIT=5

   echo
   echo "Hit Control-C to stop from rebooting"
   echo

   while [ "$LIMIT" != 0 ]
   do
     LIMIT=$[LIMIT-1]
     echo "Rebooting in $LIMIT"
     sleep 1

done

echo -e "\a"  # Beep!

reboot

fi
   






